Subject: Re: [bitcoin-dev] [BIP Draft] Allow zero value OP_RETURN in Payment Protocol

From: Toby Padilla <[email-masked]>
Date: Mon, 25 Jan 2016 19:17:12 -0800

I don't think every application of OP_RETURN could be classified as "spam".
I also don't think burning the value is going to dissuade anyone from going
down that route. I don't think lost value is better for anyone.

On Mon, Jan 25, 2016 at 7:12 PM, Luke Dashjr <[email-masked]> wrote:

> On Tuesday, January 26, 2016 3:07:40 AM Toby Padilla wrote:
> > > I don't see any benefit to changing that. It is better that coins are
> > > burned.
> >
> > I think this is our fundamental disagreement. People will burn coins to
> > encode data, why allow this when there's a better alternative?
>
> My point is that there isn't a better alternative. The coins being burned,
> is
> strictly better than it being gratis.
>
> > > You *always* need a key, to redeem inputs... regardless of values.
> >
> > Correct, but with BIP70 that key is in the user's wallet and you can
> > construct transactions on another machine (thus not needing a key during
> > construction). Right now there's no way to do the transaction
> construction
> > on another machine with zero value OP_RETURNs.
>
> This is also a good thing. Spam should not be made easier or cheaper.
>
> Luke
>